/*
 * Copyright (c) 1995-1997 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */
import java.awt.Graphics;

public class SecurityManagerTest extends java.applet.Applet {

    SecurityManager sm = null;
    String displayStr = "noSecurityManager";

    public void init() {
        sm = System.getSecurityManager();
	if (sm != null)
	    displayStr = "gotSecurityManager";
        System.setSecurityManager(sm);
    }
    public void paint(Graphics g) {
        g.drawRect(0, 0, getSize().width-1, getSize().height-1);
        g.drawString(displayStr, 40, 30);
    }
}
